[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [parser](../README.md) / IndexFileEntry

# Class: IndexFileEntry

Defined in: parser.ts:30

Represents a file entry in the Packwiz index.

## Constructors

### new IndexFileEntry()

> **new IndexFileEntry**(`file`, `hash`, `hashFormat`, `alias`?, `metafile`?, `preserve`?): [`IndexFileEntry`](IndexFileEntry.md)

Defined in: parser.ts:31

#### Parameters

##### file

[`Resource`](../../resource/classes/Resource.md)

##### hash

`string`

##### hashFormat

[`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

##### alias?

`string`

##### metafile?

`boolean` = `false`

##### preserve?

`boolean` = `false`

#### Returns

[`IndexFileEntry`](IndexFileEntry.md)

## Properties

### alias?

> `readonly` `optional` **alias**: `string`

Defined in: parser.ts:35

***

### file

> `readonly` **file**: [`Resource`](../../resource/classes/Resource.md)

Defined in: parser.ts:32

***

### hash

> `readonly` **hash**: `string`

Defined in: parser.ts:33

***

### hashFormat

> `readonly` **hashFormat**: [`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

Defined in: parser.ts:34

***

### metafile

> `readonly` **metafile**: `boolean` = `false`

Defined in: parser.ts:36

***

### preserve

> `readonly` **preserve**: `boolean` = `false`

Defined in: parser.ts:37

## Methods

### parse()

> **parse**(): `Promise`\<[`Metafile`](../interfaces/Metafile.md)\>

Defined in: parser.ts:47

#### Returns

`Promise`\<[`Metafile`](../interfaces/Metafile.md)\>
