[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [parser](../README.md) / Packwiz

# Class: Packwiz

Defined in: parser.ts:130

## Constructors

### new Packwiz()

> **new Packwiz**(`location`, `index`, `name`, `packFormat`, `authors`, `description`, `version`, `versions`): [`Packwiz`](Packwiz.md)

Defined in: parser.ts:131

#### Parameters

##### location

[`Resource`](../../resource/classes/Resource.md)

##### index

[`PackwizIndex`](../interfaces/PackwizIndex.md)

##### name

`string`

##### packFormat

`string` = `"packwiz:1.0.0"`

##### authors

`string`[]

##### description

`string`

##### version

`string`

##### versions

[`PackwizVersions`](../interfaces/PackwizVersions.md)

#### Returns

[`Packwiz`](Packwiz.md)

## Properties

### authors

> `readonly` **authors**: `string`[]

Defined in: parser.ts:136

***

### description

> `readonly` **description**: `string`

Defined in: parser.ts:137

***

### index

> `readonly` **index**: [`PackwizIndex`](../interfaces/PackwizIndex.md)

Defined in: parser.ts:133

***

### location

> `readonly` **location**: [`Resource`](../../resource/classes/Resource.md)

Defined in: parser.ts:132

***

### name

> `readonly` **name**: `string`

Defined in: parser.ts:134

***

### packFormat

> `readonly` **packFormat**: `string` = `"packwiz:1.0.0"`

Defined in: parser.ts:135

***

### version

> `readonly` **version**: `string`

Defined in: parser.ts:138

***

### versions

> `readonly` **versions**: [`PackwizVersions`](../interfaces/PackwizVersions.md)

Defined in: parser.ts:139
