[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [resource](../README.md) / Resource

# Class: Resource

Defined in: resource.ts:5

## Constructors

### new Resource()

> **new Resource**(`path`): [`Resource`](Resource.md)

Defined in: resource.ts:6

#### Parameters

##### path

`string`

#### Returns

[`Resource`](Resource.md)

## Properties

### path

> `readonly` **path**: `string`

Defined in: resource.ts:6

## Accessors

### ext

#### Get Signature

> **get** **ext**(): `string`

Defined in: resource.ts:36

##### Returns

`string`

***

### isUrl

#### Get Signature

> **get** **isUrl**(): `boolean`

Defined in: resource.ts:12

##### Returns

`boolean`

***

### name

#### Get Signature

> **get** **name**(): `string`

Defined in: resource.ts:21

##### Returns

`string`

***

### parent

#### Get Signature

> **get** **parent**(): [`Resource`](Resource.md)

Defined in: resource.ts:27

##### Returns

[`Resource`](Resource.md)

## Methods

### exists()

> **exists**(): `Promise`\<`boolean`\>

Defined in: resource.ts:42

#### Returns

`Promise`\<`boolean`\>

***

### fetchContents()

> **fetchContents**(): `Promise`\<`string`\>

Defined in: resource.ts:52

#### Returns

`Promise`\<`string`\>

***

### join()

> **join**(...`segments`): [`Resource`](Resource.md)

Defined in: resource.ts:62

#### Parameters

##### segments

...`string`[]

#### Returns

[`Resource`](Resource.md)

***

### toString()

> **toString**(): `string`

Defined in: resource.ts:8

#### Returns

`string`
